import * as React from "react";
declare const ButtonHTMLTypes: ["submit", "button", "reset"];
declare type ButtonHTMLType = typeof ButtonHTMLTypes[number];
export declare const CustomerPortalSectionTitle: import("tailwind-styled-components/dist/tailwind").TailwindComponent<Pick<React.ClassAttributes<HTMLHeadingElement> & React.HTMLAttributes<HTMLHeadingElement>, "key" | keyof React.HTMLAttributes<HTMLHeadingElement>> & React.RefAttributes<HTMLHeadingElement | undefined>>;
export declare const LoadingPanel: ({ key }: {
    key?: number | undefined;
}) => JSX.Element;
export declare const LoadingSpacer: import("tailwind-styled-components/dist/tailwind").TailwindComponent<Pick<React.ClassAttributes<HTMLDivElement> & React.HTMLAttributes<HTMLDivElement>, "key" | keyof React.HTMLAttributes<HTMLDivElement>> & React.RefAttributes<HTMLDivElement | undefined>>;
export declare const Panel: ({ children, ...props }: {
    children: React.ReactNode;
}) => JSX.Element;
export declare const DotLoader: import("styled-components").StyledComponent<"div", any, {}, never>;
export declare const TextLoader: ({ char, gradientFrom, gradientTo, ...props }: {
    [x: string]: any;
    char?: number | undefined;
    gradientFrom?: string | undefined;
    gradientTo?: string | undefined;
}) => JSX.Element;
export declare const ButtonLoader: ({ className, style, gradientFrom, gradientTo }: {
    className?: string | undefined;
    style?: any;
    gradientFrom?: string | undefined;
    gradientTo?: string | undefined;
}) => JSX.Element;
interface ButtonProps {
    theme?: "primary" | "flat" | "default";
    size?: any;
    icon?: any;
    ref?: any;
    disabled?: boolean;
    loading?: boolean;
    block?: boolean;
    style?: any;
    type?: ButtonHTMLType;
    onClick?: React.MouseEventHandler<HTMLElement>;
    children: any;
}
export declare const DefaultButton: import("tailwind-styled-components/dist/tailwind").TailwindComponent<Pick<React.ClassAttributes<HTMLButtonElement> & React.ButtonHTMLAttributes<HTMLButtonElement>, "key" | keyof React.ButtonHTMLAttributes<HTMLButtonElement>> & React.RefAttributes<HTMLButtonElement | undefined>>;
export declare const LoadingLayer: ({ style }: {
    style?: any;
}) => JSX.Element;
export declare const Loader: ({ className }: {
    className?: string | undefined;
}) => JSX.Element;
export declare const Button: ({ theme, size, loading, disabled, block, style, ref, icon, onClick, type, children }: ButtonProps) => JSX.Element;
export {};
