/// <reference types="stripe/types/crypto/crypto" />
/// <reference types="stripe/types/shared" />
/// <reference types="stripe/types/errors" />
/// <reference types="stripe/types/oauth" />
/// <reference types="stripe/types/webhooks" />
/// <reference types="stripe/types/upcominginvoices" />
/// <reference types="stripe/types/accountlinksresource" />
/// <reference types="stripe/types/accountsresource" />
/// <reference types="stripe/types/applepaydomainsresource" />
/// <reference types="stripe/types/applicationfeesresource" />
/// <reference types="stripe/types/apps/secretsresource" />
/// <reference types="stripe/types/balanceresource" />
/// <reference types="stripe/types/balancetransactionsresource" />
/// <reference types="stripe/types/billingportal/configurationsresource" />
/// <reference types="stripe/types/billingportal/sessionsresource" />
/// <reference types="stripe/types/chargesresource" />
/// <reference types="stripe/types/checkout/sessionsresource" />
/// <reference types="stripe/types/countryspecsresource" />
/// <reference types="stripe/types/couponsresource" />
/// <reference types="stripe/types/creditnotesresource" />
/// <reference types="stripe/types/customersresource" />
/// <reference types="stripe/types/disputesresource" />
/// <reference types="stripe/types/ephemeralkeysresource" />
/// <reference types="stripe/types/eventsresource" />
/// <reference types="stripe/types/exchangeratesresource" />
/// <reference types="stripe/types/filelinksresource" />
/// <reference types="stripe/types/filesresource" />
/// <reference types="stripe/types/financialconnections/accountsresource" />
/// <reference types="stripe/types/financialconnections/sessionsresource" />
/// <reference types="stripe/types/identity/verificationreportsresource" />
/// <reference types="stripe/types/identity/verificationsessionsresource" />
/// <reference types="stripe/types/invoiceitemsresource" />
/// <reference types="stripe/types/invoicesresource" />
/// <reference types="stripe/types/issuing/authorizationsresource" />
/// <reference types="stripe/types/issuing/cardholdersresource" />
/// <reference types="stripe/types/issuing/cardsresource" />
/// <reference types="stripe/types/issuing/disputesresource" />
/// <reference types="stripe/types/issuing/transactionsresource" />
/// <reference types="stripe/types/mandatesresource" />
/// <reference types="stripe/types/paymentintentsresource" />
/// <reference types="stripe/types/paymentlinksresource" />
/// <reference types="stripe/types/paymentmethodsresource" />
/// <reference types="stripe/types/payoutsresource" />
/// <reference types="stripe/types/plansresource" />
/// <reference types="stripe/types/pricesresource" />
/// <reference types="stripe/types/productsresource" />
/// <reference types="stripe/types/promotioncodesresource" />
/// <reference types="stripe/types/quotesresource" />
/// <reference types="stripe/types/radar/earlyfraudwarningsresource" />
/// <reference types="stripe/types/radar/valuelistitemsresource" />
/// <reference types="stripe/types/radar/valuelistsresource" />
/// <reference types="stripe/types/refundsresource" />
/// <reference types="stripe/types/reporting/reportrunsresource" />
/// <reference types="stripe/types/reporting/reporttypesresource" />
/// <reference types="stripe/types/reviewsresource" />
/// <reference types="stripe/types/setupattemptsresource" />
/// <reference types="stripe/types/setupintentsresource" />
/// <reference types="stripe/types/shippingratesresource" />
/// <reference types="stripe/types/sigma/scheduledqueryrunsresource" />
/// <reference types="stripe/types/sourcesresource" />
/// <reference types="stripe/types/subscriptionitemsresource" />
/// <reference types="stripe/types/subscriptionschedulesresource" />
/// <reference types="stripe/types/subscriptionsresource" />
/// <reference types="stripe/types/tax/calculationsresource" />
/// <reference types="stripe/types/tax/transactionsresource" />
/// <reference types="stripe/types/taxcodesresource" />
/// <reference types="stripe/types/taxratesresource" />
/// <reference types="stripe/types/terminal/configurationsresource" />
/// <reference types="stripe/types/terminal/connectiontokensresource" />
/// <reference types="stripe/types/terminal/locationsresource" />
/// <reference types="stripe/types/terminal/readersresource" />
/// <reference types="stripe/types/testhelpers/customersresource" />
/// <reference types="stripe/types/testhelpers/issuing/cardsresource" />
/// <reference types="stripe/types/testhelpers/refundsresource" />
/// <reference types="stripe/types/testhelpers/terminal/readersresource" />
/// <reference types="stripe/types/testhelpers/testclocksresource" />
/// <reference types="stripe/types/testhelpers/treasury/inboundtransfersresource" />
/// <reference types="stripe/types/testhelpers/treasury/outboundpaymentsresource" />
/// <reference types="stripe/types/testhelpers/treasury/outboundtransfersresource" />
/// <reference types="stripe/types/testhelpers/treasury/receivedcreditsresource" />
/// <reference types="stripe/types/testhelpers/treasury/receiveddebitsresource" />
/// <reference types="stripe/types/tokensresource" />
/// <reference types="stripe/types/topupsresource" />
/// <reference types="stripe/types/transfersresource" />
/// <reference types="stripe/types/treasury/creditreversalsresource" />
/// <reference types="stripe/types/treasury/debitreversalsresource" />
/// <reference types="stripe/types/treasury/financialaccountsresource" />
/// <reference types="stripe/types/treasury/inboundtransfersresource" />
/// <reference types="stripe/types/treasury/outboundpaymentsresource" />
/// <reference types="stripe/types/treasury/outboundtransfersresource" />
/// <reference types="stripe/types/treasury/receivedcreditsresource" />
/// <reference types="stripe/types/treasury/receiveddebitsresource" />
/// <reference types="stripe/types/treasury/transactionentriesresource" />
/// <reference types="stripe/types/treasury/transactionsresource" />
/// <reference types="stripe/types/webhookendpointsresource" />
/// <reference types="stripe/types/accountlinks" />
/// <reference types="stripe/types/accounts" />
/// <reference types="stripe/types/applepaydomains" />
/// <reference types="stripe/types/applicationfees" />
/// <reference types="stripe/types/applications" />
/// <reference types="stripe/types/apps/secrets" />
/// <reference types="stripe/types/balance" />
/// <reference types="stripe/types/balancetransactions" />
/// <reference types="stripe/types/bankaccounts" />
/// <reference types="stripe/types/billingportal/configurations" />
/// <reference types="stripe/types/billingportal/sessions" />
/// <reference types="stripe/types/capabilities" />
/// <reference types="stripe/types/cards" />
/// <reference types="stripe/types/cashbalances" />
/// <reference types="stripe/types/charges" />
/// <reference types="stripe/types/checkout/sessions" />
/// <reference types="stripe/types/connectcollectiontransfers" />
/// <reference types="stripe/types/countryspecs" />
/// <reference types="stripe/types/coupons" />
/// <reference types="stripe/types/creditnotelineitems" />
/// <reference types="stripe/types/creditnotes" />
/// <reference types="stripe/types/customerbalancetransactions" />
/// <reference types="stripe/types/customercashbalancetransactions" />
/// <reference types="stripe/types/customers" />
/// <reference types="stripe/types/discounts" />
/// <reference types="stripe/types/disputes" />
/// <reference types="stripe/types/ephemeralkeys" />
/// <reference types="stripe/types/events" />
/// <reference types="stripe/types/exchangerates" />
/// <reference types="stripe/types/feerefunds" />
/// <reference types="stripe/types/filelinks" />
/// <reference types="stripe/types/files" />
/// <reference types="stripe/types/financialconnections/accountowners" />
/// <reference types="stripe/types/financialconnections/accountownerships" />
/// <reference types="stripe/types/financialconnections/accounts" />
/// <reference types="stripe/types/financialconnections/sessions" />
/// <reference types="stripe/types/fundinginstructions" />
/// <reference types="stripe/types/identity/verificationreports" />
/// <reference types="stripe/types/identity/verificationsessions" />
/// <reference types="stripe/types/invoiceitems" />
/// <reference types="stripe/types/invoicelineitems" />
/// <reference types="stripe/types/invoices" />
/// <reference types="stripe/types/issuing/authorizations" />
/// <reference types="stripe/types/issuing/cardholders" />
/// <reference types="stripe/types/issuing/cards" />
/// <reference types="stripe/types/issuing/disputes" />
/// <reference types="stripe/types/issuing/transactions" />
/// <reference types="stripe/types/lineitems" />
/// <reference types="stripe/types/loginlinks" />
/// <reference types="stripe/types/mandates" />
/// <reference types="stripe/types/paymentintents" />
/// <reference types="stripe/types/paymentlinks" />
/// <reference types="stripe/types/paymentmethods" />
/// <reference types="stripe/types/payouts" />
/// <reference types="stripe/types/persons" />
/// <reference types="stripe/types/plans" />
/// <reference types="stripe/types/platformtaxfees" />
/// <reference types="stripe/types/prices" />
/// <reference types="stripe/types/products" />
/// <reference types="stripe/types/promotioncodes" />
/// <reference types="stripe/types/quotes" />
/// <reference types="stripe/types/radar/earlyfraudwarnings" />
/// <reference types="stripe/types/radar/valuelistitems" />
/// <reference types="stripe/types/radar/valuelists" />
/// <reference types="stripe/types/refunds" />
/// <reference types="stripe/types/reporting/reportruns" />
/// <reference types="stripe/types/reporting/reporttypes" />
/// <reference types="stripe/types/reservetransactions" />
/// <reference types="stripe/types/reviews" />
/// <reference types="stripe/types/setupattempts" />
/// <reference types="stripe/types/setupintents" />
/// <reference types="stripe/types/shippingrates" />
/// <reference types="stripe/types/sigma/scheduledqueryruns" />
/// <reference types="stripe/types/sourcemandatenotifications" />
/// <reference types="stripe/types/sourcetransactions" />
/// <reference types="stripe/types/sources" />
/// <reference types="stripe/types/subscriptionitems" />
/// <reference types="stripe/types/subscriptionschedules" />
/// <reference types="stripe/types/subscriptions" />
/// <reference types="stripe/types/tax/calculationlineitems" />
/// <reference types="stripe/types/tax/calculations" />
/// <reference types="stripe/types/tax/transactionlineitems" />
/// <reference types="stripe/types/tax/transactions" />
/// <reference types="stripe/types/taxcodes" />
/// <reference types="stripe/types/taxdeductedatsources" />
/// <reference types="stripe/types/taxids" />
/// <reference types="stripe/types/taxrates" />
/// <reference types="stripe/types/terminal/configurations" />
/// <reference types="stripe/types/terminal/connectiontokens" />
/// <reference types="stripe/types/terminal/locations" />
/// <reference types="stripe/types/terminal/readers" />
/// <reference types="stripe/types/testhelpers/testclocks" />
/// <reference types="stripe/types/tokens" />
/// <reference types="stripe/types/topups" />
/// <reference types="stripe/types/transferreversals" />
/// <reference types="stripe/types/transfers" />
/// <reference types="stripe/types/treasury/creditreversals" />
/// <reference types="stripe/types/treasury/debitreversals" />
/// <reference types="stripe/types/treasury/financialaccountfeatures" />
/// <reference types="stripe/types/treasury/financialaccounts" />
/// <reference types="stripe/types/treasury/inboundtransfers" />
/// <reference types="stripe/types/treasury/outboundpayments" />
/// <reference types="stripe/types/treasury/outboundtransfers" />
/// <reference types="stripe/types/treasury/receivedcredits" />
/// <reference types="stripe/types/treasury/receiveddebits" />
/// <reference types="stripe/types/treasury/transactionentries" />
/// <reference types="stripe/types/treasury/transactions" />
/// <reference types="stripe/types/usagerecordsummaries" />
/// <reference types="stripe/types/usagerecords" />
/// <reference types="stripe/types/webhookendpoints" />
/// <reference types="stripe/types/lib" />
/// <reference types="stripe/types/net/net" />
import Stripe from "stripe";
import { SelectedPricing, Product, PricingFilter, UseProductsOptions, BillingOptions } from "@types";
interface ReturnProps {
    isLoading: boolean;
    products: Product[];
    pricingFilter: PricingFilter;
    activeSubscriptions: Stripe.Subscription[];
}
declare const _default: (productIds: string[], options?: UseProductsOptions) => ReturnProps;
export default _default;
export declare const getSelectedPricing: ({ activeSubscriptions, billingOptions, dispatch, product, pricingFilter, quantity, options, subscriptions, isPaymentButtonLoading }: {
    activeSubscriptions: Stripe.Subscription[];
    billingOptions?: BillingOptions | undefined;
    dispatch: (any: any) => void;
    product: Product;
    pricingFilter: PricingFilter;
    quantity?: number | undefined;
    options?: UseProductsOptions | undefined;
    subscriptions?: Stripe.Subscription[] | undefined;
    isPaymentButtonLoading?: boolean | undefined;
}) => SelectedPricing;
